Subject: Re: 82xx performance

From: Arnd Bergmann <[email-masked]>
Date: Thu, 17 Jul 2008 23:32:17 +0200

On Thursday 17 July 2008, Rune Torgersen wrote:
> Arnd Bergmann wrote:
> > So again, nothing conclusive. I'm running out of ideas.
> 
> Is the syscall path different or the same on ppc and powerpc?
> Any differences in the task switching, irq handling or page fault
> handling?
> 

It's all different in suble ways, but those changes should only
show up in the system time accounting, not user time accounting.

One change that I would expect to show up in user space performance
is different TLB management, in a way that causes increased flushing
and reloading of page table entries. I don't have the slightest
idea if or in what ways that has changed. Maybe Ben has a clue
about this.

	Arnd <><